import { IPackageJson } from 'package-json-type';
import { ConfigFile } from './modules';
export declare class State {
    PACKAGE: IPackageJson;
    readonly CONFIG: ConfigFile;
    configPath: string;
    constructor(PACKAGE: IPackageJson, CONFIG: ConfigFile, configPath: string);
    getConfigSection<T extends keyof ConfigFile>(type: T): Promise<ConfigFile[T]>;
}
