import { IPackageJson } from 'package-json-type';
export declare function addArgToConfig<T extends Object>(io: {
    name: keyof T;
    args: string[];
    i: number;
    config: T;
    exclude: {
        [key: string]: true | undefined;
    };
}): void;
export declare function getPackageJson(): Promise<IPackageJson>;
export declare class URI {
    path: string;
    type: 'file' | 'url';
    constructor(path: string);
}
export declare function getArgs(): string[];
