declare type Marker = {
    marker: string;
    regex: RegExp;
};
export declare const insertionMarker: Marker;
interface MarkerTypes {
    tsDoc: Marker;
    badges: Marker;
    license: Marker;
}
export declare function readFileAndAddMarker(file: string, type: keyof MarkerTypes): string;
export declare function insertGenerated(generatedText: string, type: keyof MarkerTypes): string;
export {};
