import { LogStyle } from 'suf-log';
export declare const colors: {
    info: string;
    yellow: string;
    blue: string;
    gray: string;
    error: string;
};
export declare const genMessage: (module: string) => string;
declare const loggers: {
    info: {
        styles: string[];
    };
    error: {
        styles: LogStyle[];
    };
    help: {
        styles: {
            color: string;
            background: string;
        }[];
    };
};
export declare function log(type: keyof typeof loggers, ...messages: string[]): void;
export {};
